# La Poste-Lettre Suivie Guide

[Lettre Suivie](https://www.laposte.fr/) is a shipping service offered by La Poste that allows shipping domestically within France.

This guide provides developers with the details necessary to build Lettre Suivie shipping capabilities into their ShipStation V2 API workflows.

## Requirements

| Property | Type | Description |
|  --- | --- | --- |
| `nickname` | *string* | **required** |
| `contract_number` | *string* | optional |
| `cust_account_number` | *string* | optional |
| `client_id` | *string* | optional |
| `client_secret` | *string* | optional |
| `sales_channel` | *string* | optional |


## Connect Account

You can connect a Lettre Suivie account using the POST method to the `/v2/connections/carriers/` endpoint, or via the ShipStation dashboard.

### Connect via Dashboard

Log in to your ShipStation account and navigate to the Carriers section to connect your Lettre Suivie account using your credentials.

### Connect via Endpoint

`carrier_code`: `la_poste_lettre_suivie`

**POST /v2/connections/carriers/:carrier_code**


```http
POST /v2/connections/carriers/la_poste_lettre_suivie HTTP/1.1
Host: api.shipstation.com
API-Key: __YOUR_API_KEY_HERE__
Content-Type: application/json

{
  "nickname": "My Lettre Suivie account",
  "contract_number": "123456789",
  "cust_account_number": "123abc",
  "client_id": "987654",
  "client_secret": "123xyz-lkj654"
}
```

A successful connection will return a response with the `carrier_id`, which you'll use for any requests for this account going forward.

## Rates

Lettre Suivie sends rates to ShipStation V2 API. However, rates do not include surcharges like fuel surcharge, insurance, home delivery, etc.

## Service Details

Available Lettre Suivie services are provided below. Please note that carriers may update their available services at any time. To ensure you are always using valid services, you can use the list carrier services endpoint.

| Service | Max. weight | API Code |
|  --- | --- | --- |
| B2C Standard Service | 3 kg | `la_poste_lettre_suivie_b2c_std` |
| C2C Standard Service | 2 kg | `la_poste_lettre_suivie_c2c_std` |


Lettre Suivie has the following maximum dimensions:

* Length: 14 cm
* Width: 9 cm
* Height: 3 cm
* The sum of all dimensions (L+W+H) must be less than 90 cm


### Return Services

Lettre Suivie does not currently support return services.

### Packages

The following [carrier package types](/apis/shipengine/docs/shipping/carrier-packaging) are available for Lettre Suivie services:

| Name | API Code | Package Attributes |
|  --- | --- | --- |
| Package | `la_poste_lettre_suivie_package` | Domestic |


### Adding Shipment Insurance

Adding shipment insurance is not supported for this carrier.

Review our [Parcel Insurance page](/apis/shipengine/docs/shipping/insurance) for details on adding our third-party shipment insurance with ShipStation V2 API.

## Label Support

* Label sizes: 4" x 6"
* Label formats: PDF, PNG, ZPL


### Label Reference Fields

Lettre Suivie does not support any label reference fields.

### Multi-Package Labels

Lettre Suivie does not support multi-package shipping.

### Label Branding

Lettre Suivie supports adding a logo image to the label. Review our [Create Custom Shipping Labels page](/apis/shipengine/docs/labels/branding) for details on adding a logo to your ShipStation V2 API account.

### Voiding Labels

Lettre Suivie supports voiding labels with ShipStation V2 API.

See our [Void a Label page](/apis/shipengine/docs/labels/voiding) for details about voiding labels with ShipStation V2 API.

### Paperless Labels

Lettre Suivie does not support paperless labels.

## Delivery Confirmation

Lettre Suivie does not support any [delivery confirmation types](/apis/shipengine/docs/shipping/delivery-confirmation).

## Advanced Options

Lettre Suivie does not currently support any [advanced options](/apis/shipengine/docs/carriers/advanced-options) or shipping of dangerous goods.

## Manifests

Lettre Suivie does not require or support creating [manifests](/apis/shipengine/docs/shipping/manifests).

## Scheduling Pickups

Lettre Suivie does not support [scheduling pickups](/apis/shipengine/docs/shipping/pickups) with ShipStation V2 API.

## Service Points (PUDO)

Lettre Suivie does not support shipping to [service points](/apis/shipengine/docs/pick-up-drop-off/pudo-intro).

## Tracking

ShipStation V2 API's integration with Lettre Suivie supports receiving tracking updates. Review our ​[Track a Package guides​](/apis/shipengine/docs/tracking/tracking)​ for details on tracking with the ShipStation V2 API.

## Disconnecting Your Lettre Suivie Account

See the Disconnect section in our [Delete a Carrier page](/apis/shipengine/docs/reference/carriers/delete-carrier) for the process of deleting or disconnecting a carrier from ShipStation V2 API.

> **NOTE:**
If you disconnect a carrier account and reconnect it, the account will have a new `carrier_id` in ShipStation V2 API.